Get project variables
This endpoint allows you to list project variables for a given account and project. As a pageable endpoint within , results are paged through by appending the page information as query parameters in the request URL. The paging parameters are as follows:| Parameter | Purpose | Default value | Example value |
|---|---|---|---|
| page | Which page to fetch | 0 | 2 |
| size | How large each page of results should be | 25 | 10 |
GET /v1/projects/{projectId}/variables?page=2&size=10
If no paging information is provided, the defaults listed above will be used instead.
Example request
Base URL:GET /v1/projects/{projectId}/variables
Example success response:
Create project variable
This endpoint allows you to create a new project variable for a given account and project.Example request
Base URL:POST /v1/projects/{projectId}/variables
Example request body:
Update project variable
This endpoint allows you to perform a partial update to an existing project variable, identified by the immutable variable name. Currently,type and behaviour are required parameters of the request, even if the values are to remain unchanged.
Example request
Base URL:PATCH /v1/projects/{projectId}/variables/{variableName}
Example request body:
Delete project variable
This endpoint allows you to delete a variable by name, along with all environment-level overrides for the variable.Example request
Base URL:DELETE /v1/projects/{projectId}/variables/{variableName}
Example success response:
Get project variable environment overrides
This endpoint allows you to retrieve a variable along with any associated environment-level overrides. You can choose to provide an environment name to return a single override.Example request without a specified environment
Base URL:GET /v1/projects/{projectId}/variables/{variableName}/environment-overrides
Example success response:
Example request with a specified environment
Base URL:GET /v1/projects/{projectId}/variables/{variableName}/environment-overrides?environmentName=dev
Example success response:
Create project variable environment overrides
This endpoint allows you to create new environment-level overrides for an existing project variable, or to update existing overrides. If you specify an environment that doesn’t already have an override for the specified project variable, this will create a new environment-level override for that project variable. If you specify an environment that does already have an override for the specified project variable, the override will be updated. If any environment overrides are unable to be created, an entry will be included in thefailedOverride portion of the response.
Common error scenarios include:
- The environment does not exist.
- You don’t have permission to create or edit environment overrides.
- The provided value for the override doesn’t have a compatible type for the variable (for example, providing a number as an override for a text variable).
Example request
Base URL:POST /v1/projects/{projectId}/variables/{variableName}/environment-overrides
Example request:
Delete project variable environment override
This endpoint allows you to remove a specific environment-level override from an existing project variable, specified by environment name.Example request
Base URL:DELETE /v1/projects/{projectId}/variables/{variableName}/environment-overrides/{environmentName}
Example success response:

